From 98452104cbe5864aba6d1e2934ffb935d6a5253d Mon Sep 17 00:00:00 2001
From: Tom Callaway <s...@fedoraproject.org>
Date: Thu, 22 Sep 2016 10:55:56 -0400
Subject: do 0.8.23 build on el7 only

---
 perl-Mail-Sender.spec | 48 ++++++------------------------------------------
 sources               |  2 +-
 2 files changed, 7 insertions(+), 43 deletions(-)

diff --git a/perl-Mail-Sender.spec b/perl-Mail-Sender.spec
index 91cb47a..bcef5cd 100644
--- a/perl-Mail-Sender.spec
+++ b/perl-Mail-Sender.spec
@@ -1,11 +1,7 @@
 Name:           perl-Mail-Sender
-Version:        0.902
-# I really wish CPAN maintainers would stop fscking around with versions.
-# we went from 0.900003 to 0.901
-Epoch:          1
+Version:        0.8.23
 Release:        1%{?dist}
 Summary:        Module for sending mails with attachments through an SMTP 
server
-
 Group:          Development/Libraries
 # There is also a clause which says that it may not be used for SPAM.
 # However, since spamming is illegal in the US, this isn't really a use 
restriction.
@@ -13,46 +9,22 @@ Group:          Development/Libraries
 License:        GPL+ or Artistic
 URL:            http://search.cpan.org/dist/Mail-Sender/
 Source0:        
http://www.cpan.org/authors/id/C/CA/CAPOEIRAB/Mail-Sender-%{version}.tar.gz
-
 BuildArch:      noarch
-BuildRequires:  coreutils
-BuildRequires:  findutils
-BuildRequires:  make
-BuildRequires:  perl
-BuildRequires:  perl-generators
-BuildRequires:  perl(base)
-BuildRequires:  perl(Carp)
-BuildRequires:  perl(CPAN::Meta) >= 2.120900
-BuildRequires:  perl(Encode)
-BuildRequires:  perl(Exporter)
-BuildRequires:  perl(ExtUtils::MakeMaker)
-BuildRequires:  perl(File::Basename)
-BuildRequires:  perl(File::Spec)
-BuildRequires:  perl(IO::Socket::INET)
-BuildRequires:  perl(MIME::Base64)
-BuildRequires:  perl(MIME::QuotedPrint)
-BuildRequires:  perl(Socket)
-BuildRequires:  perl(strict)
-BuildRequires:  perl(Test::More) >= 0.88
-BuildRequires:  perl(Time::Local)
-BuildRequires:  perl(Try::Tiny) >= 0.24
-BuildRequires:  perl(warnings)
+BuildRequires: perl(MIME::Base64)
+BuildRequires:  perl(ExtUtils::MakeMaker), perl(Test::More)
 Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo 
$version))
 
 %description
 %{summary}.
 
-
 %prep
 %setup -q -n Mail-Sender-%{version}
 %{__perl} -pi -e 's/\r\n/\n/' README
 
-
 %build
 %{__perl} Makefile.PL INSTALLDIRS=vendor
 make %{?_smp_mflags} < /dev/null
 
-
 %install
 make pure_install DESTDIR=$RPM_BUILD_ROOT
 find $RPM_BUILD_ROOT -type f -name .packlist -delete
@@ -62,11 +34,9 @@ chmod -R u+w $RPM_BUILD_ROOT/*
 # Remove the Win32 module in order to avoid requiring perl(Win32API::Registry)
 find $RPM_BUILD_ROOT -type f -name Win32.pm -delete
 
-
 %check
 make test
 
-
 %files
 # License: perl + spam exception.
 # See the main POD page for the copyright information.
@@ -75,16 +45,10 @@ make test
 %{perl_vendorlib}/Mail/
 %{_mandir}/man3/*.3pm*
 
-
 %changelog
-* Wed Aug 31 2016 Jitka Plesnikova <jples...@redhat.com> - 1:0.902-1
-- 0.902 bump
-
-* Tue Jul  5 2016 Tom Callaway <s...@fedoraproject.org> - 1:0.901-1
-- update to 0.901 (bump epoch for upgrade path)
-
-* Wed Jun 15 2016 Tom Callaway <s...@fedoraproject.org> - 0.900003-1
-- update to 0.900003
+* Thu Sep 22 2016 Tom Callaway <s...@fedoraproject.org> - 0.8.23-7
+- EL7 update to 0.8.23 (most current release that will build on EL7
+without Try:Tiny being updated)
 
 * Sun May 15 2016 Jitka Plesnikova <jples...@redhat.com> - 0.8.23-6
 - Perl 5.24 rebuild
diff --git a/sources b/sources
index a32ccb9..63d2727 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-ba23b72efb5e5529b80c47c5dd764d37  Mail-Sender-0.902.tar.gz
+c80bb35cb2fee79d7421153bfefdcf60  Mail-Sender-0.8.23.tar.gz
-- 
cgit v0.12


        
http://pkgs.fedoraproject.org/cgit/perl-Mail-Sender.git/commit/?h=epel7&id=98452104cbe5864aba6d1e2934ffb935d6a5253d
_______________________________________________
perl-devel mailing list -- perl-devel@lists.fedoraproject.org
To unsubscribe send an email to perl-devel-le...@lists.fedoraproject.org

Reply via email to